Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.schema.binding
Interface Serializer

All Superinterfaces:
  Serializable, Serializer, SerializerFactory

All Known Implementing Classes:
  AbstractCodec

public interface Serializer
extends Serializer, SerializerFactory

A Serialzer is responsible for taking a java Object and writing a xml instance of some Schema Type.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `serialize(Object obj, XMLName name, XMLOutputStream writer, weblogic.xml.schema.binding.SerializationContext context)` Write the given Object to an XMLOutputSteam, using the information described in the mapping, using the name parameter as the name of the resulting element.

Methods inherited from interface javax.xml.rpc.encoding.Serializer
`getMechanismType`

Methods inherited from interface javax.xml.rpc.encoding.SerializerFactory
`getSerializerAs, getSupportedMechanismTypes`

Method Detail

### serialize

    public void serialize(Object obj,
                          XMLName name,
                          XMLOutputStream writer,
                          weblogic.xml.schema.binding.SerializationContext context)
                   throws SerializationException

  Write the given Object to an XMLOutputSteam, using the information described in the mapping, using the name parameter as the name of the resulting element. This allows using a general Class <-> ComplexType mapping with full control over the name of the xml element to be written.

  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD